/*
 * @Description:
 * @Author: leizhe
 * @Date: 2022-01-13 17:26:14
 * @LastEditTime: 2022-03-14 17:10:52
 * @LastEditors: leizhe
 */
import React, { useState } from 'react';
import { notification } from 'antd';
import SiteModal from '@/components/Modal/SiteModa';
import { deleteStation } from '@/services/siteManage/api';
const DelModal = props => {
  const { confirmModal, stationId } = props;
  const [loading, setLoading] = useState(false);
  const onSubmit = props => {
    setLoading(true);
    deleteStation({
      stationID: stationId,
    })
      .then(res => {
        setLoading(false);
        if (res.msg === '') {
          notification.success({
            message: '通知',
            duration: 3,
            description: '删除成功',
          });
          confirmModal();
        } else {
          notification.error({
            message: '提示',
            duration: 3,
            description: res.msg,
          });
        }
      })
      .catch(err => {
        setLoading(false);
        notification.error({
          message: '提示',
          duration: 3,
          description: err,
        });
      });
  };
  return (
    <SiteModal
      {...props}
      title="删除站点"
      bodyStyle={{ width: '100%', minHeight: '50px' }}
      style={{ top: 200 }}
      width="400px"
      destroyOnClose
      maskClosable={false}
      cancelText="取消"
      okText="确认"
      onOk={() => onSubmit()}
      confirmLoading={loading}
    >
      是否删除该站点?
    </SiteModal>
  );
};

export default DelModal;
